# Extend a subscription

Extend the lifetime of a subscription in the 2Checkout system on-demand. Use the **extendSubscription** method to set a new expiration deadline for a subscription.

## Request parameters

| Parameters                | Type / Description                                                                                                                                                                                                                                                                                             |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**             | <p><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <strong>sessionID</strong> into all your requests. 2Checkout throws an exception if the values are incorrect. The <strong>sessionID</strong> expires in <strong>10 minutes</strong>.</p> |
| **subscriptionReference** | <p><strong>Required (string)</strong><br>Unique, system-generated subscription identifier.</p>                                                                                                                                                                                                                 |
| **days**                  | <p><strong>Required (int)</strong><br>2Checkout prolongs the lifetime of a subscription using the number of days you send, adding the interval on top of the expiration date.<br><em>Hint:</em> Use a negative number to reduce the lifetime of a subscription.<br>Cannot be NULL.</p>                         |

## Response parameters

| Parameters  | Type/Description                                                               |
| ----------- | ------------------------------------------------------------------------------ |
| **Boolean** | **true** or **false** depending on whether the changes were successful or not. |

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$subscriptionReference = 'YOUR_SUBSCRIPTION_REFERENCE';
$days = 5;

try {
    $extendedSubscription = $client->extendSubscription($sessionID, $subscriptionReferenceTest, $days);
}
catch (SoapFault $e) {
    echo "extendedSubscription: " . $e->getMessage();
    exit;
}
var_dump("extendedSubscription", $extendedSubscription);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/subscription-history/extend-a-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
